{% extends 'base_bulma.html' %}


{% block title %}New Item{% endblock title %}
{% block h1 %}New Item{% endblock h1 %}

{% block main %}
<form method="POST" id="item_form">
  {% csrf_token %}
  <table class="table">
    <tbody>

      {% if errors %}
        <tr>
          <td colspan="2"><span>{{ errors }}</span></td>
        </tr>
      {% endif %}

      <tr>
        <th><label>Name</label></th>
        <td><input type="text" name="name" value="{{ name }}" /></td>
      </tr>
      <tr>
        <th><label>Description</label></th>
        <td><input type="text" name="description" value="{{ description }}" /></td>
      </tr>
      <tr>
        <th><label>Price</label></th>
        <td><input type="number" step="0.01" name="price" value="{{ price }}" /></td>
      </tr>
      <tr>
        <th><label>Code</label></th>
        <td><input type="text" name="code" value="{{ code }}" /></td>
      </tr>
      <tr>
        <th><label>Availability</label></th>
        <td><input type="checkbox" name="is_available" value="{{ is_available }}" /></td>
      </tr>
      <tr>
        <th></th>
        <td>
          <button type="submit">Save</button>
        </td>
      </tr>
    </tbody>
  </table>
</form>


{% endblock main %}
